Bug 198042 - [MAINTAINER] security/maia: Update to 1.0.4, Lots of PERL fixes
Summary: [MAINTAINER] security/maia: Update to 1.0.4, Lots of PERL fixes
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kurt Jaeger
URL:
Keywords: needs-qa, patch
Depends on:
Blocks:
 
Reported: 2015-02-25 19:06 UTC by ek
Modified: 2015-03-29 08:43 UTC (History)
2 users (show)

See Also:


Attachments
Diff for security/maia port. (94.92 KB, patch)
2015-02-25 19:06 UTC, ek
koobs: maintainer-approval+
Details | Diff
New patch for maia-1.0.4. (94.94 KB, patch)
2015-02-28 21:25 UTC, ek
no flags Details | Diff
Latest diff. (92.45 KB, patch)
2015-03-29 05:52 UTC, ek
no flags Details | Diff
Poudriere log. (38.94 KB, text/x-log)
2015-03-29 05:53 UTC, ek
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description ek 2015-02-25 19:06:19 UTC
Created attachment 153533 [details]
Diff for security/maia port.
Comment 1 ek 2015-02-25 19:07:06 UTC
I submitted the same update a little over a week ago using 'send-pr' but I understand that 'send-pr' is no longer working. So, I'm sorry if this is a duplicate.
Comment 2 Kurt Jaeger freebsd_committer 2015-02-28 11:02:37 UTC
The staging does not work because the chgrp happens before the
group is created:

install -m 640 /usr/local/home/pi/myp/security/maia/work/maia-1.0.4/maia.conf.dist /usr/local/home/pi/myp/security/maia/work/stage/usr/local/etc/maia/maia.conf.dist
/usr/bin/chgrp vscan /usr/local/home/pi/myp/security/maia/work/stage/usr/local/etc/maia/maia*
chgrp: vscan: illegal group name

Can you check this issue ?
Comment 3 Mathieu Arnold freebsd_committer 2015-02-28 11:27:39 UTC
(In reply to Kurt Jaeger from comment #2)

You're partially right, the chgrp fails here because as root, the group does not exist, but it's more because it can't work, staging must work as a regular user, and you can't chgrp then.
Comment 4 ek 2015-02-28 19:54:20 UTC
Ah. This makes sense. I'm not sure how I missed this before... Any suggestions on best practice to fix it? I'd like to keep the permissions the same. Perhaps a chmod/chown instead?
Comment 5 Kurt Jaeger freebsd_committer 2015-02-28 20:38:09 UTC
There are several places in the porters handbook that hint on how this is done using the pkg-plist file:

http://www.freebsd.org/doc/en_US.ISO8859-1/books/porters-handbook/book.html#plist-keywords

which refers to this example:

@sample(games,games,640) etc/config.sample

and

7.6.7.6. @owner user

which sets the default ownership for all subsequent files to user. Use without an argument to set back to default ownership (root).

(similar for @group etc).
Comment 6 ek 2015-02-28 20:46:07 UTC
Gotcha'. I'm actually already using this technique throughout my pkg-plist file. Perhaps that's how I'd missed it before (maybe I removed it for some reason..?) I'll fix this and re-submit a new patch after I test the staging process.
Comment 7 ek 2015-02-28 21:25:04 UTC
Created attachment 153629 [details]
New patch for maia-1.0.4.

Fixed ${CHGRP} issue in Makefile and added missing files in pkg-plist.
Comment 8 ek 2015-02-28 21:26:06 UTC
Thanks for your help, guys. Everything appears to install correctly now.
Comment 9 Kurt Jaeger freebsd_committer 2015-03-01 16:07:38 UTC
When I try to build it, with 

DEVELOPER=yes

in /etc/make.conf, the pkg-plist gives many errors. It does not build in
poudriere.
Comment 10 Kurt Jaeger freebsd_committer 2015-03-01 16:08:02 UTC
I build it with

make check-plist
Comment 11 Kurt Jaeger freebsd_committer 2015-03-01 18:23:34 UTC
build logs:

http://people.freebsd.org/~pi/logs/security__maia*
Comment 12 ek 2015-03-05 01:10:15 UTC
Interesting... Thanks for the info Kurt. I'll take a look at this and get it all fixed.
Comment 13 ek 2015-03-29 05:52:40 UTC
Created attachment 154949 [details]
Latest diff.

Latest 1.0.4 patch.
Comment 14 ek 2015-03-29 05:53:20 UTC
Created attachment 154950 [details]
Poudriere log.

Poudriere success log.
Comment 15 ek 2015-03-29 05:54:23 UTC
Hi Guys,

Looks like I've finally got this all sorted out (sorry it took so long). I've attached the patch for the port as well as the successful Poudriere log. Everything seems to be working as expected. If you have any other issues, please let me know.
Comment 16 Kurt Jaeger freebsd_committer 2015-03-29 07:29:38 UTC
testing@work
Comment 17 commit-hook freebsd_committer 2015-03-29 08:42:13 UTC
A commit references this bug:

Author: pi
Date: Sun Mar 29 08:41:55 UTC 2015
New revision: 382571
URL: https://svnweb.freebsd.org/changeset/ports/382571

Log:
  security/maia: 1.0.3 -> 1.0.4

  TODO: find a suitable changelog

  PR:		198042
  Submitted by:	ek@purplehat.org (maintainer)

Changes:
  head/security/maia/Makefile
  head/security/maia/distinfo
  head/security/maia/files/pkg-message.in
  head/security/maia/pkg-plist
Comment 18 Kurt Jaeger freebsd_committer 2015-03-29 08:43:17 UTC
Committed, thanks for the hard work!

If possible, can you provide a ChangeLog -- what has changed since the
last version ?